You are here

Supported Platforms

Here is a list of the individual components that have been through the complete Alfresco Quality Assurance and Certification activities for Alfresco Content Services.

Last modified: July 18 2019

Choose a combination of products to build your own Supported Stack. If anything is unclear then please contact our Support team https://support.alfresco.com.

Operating Systems

Server 6.0.0 6.0.1 Comment
Red Hat Enterprise Linux 7.4 x64  
Windows Server 2016  
Amazon Linux  
CentOS 7 x64  
Ubuntu 18.04  
SUSE 12.0 SP1 x64  

Databases

Database 6.0.0 6.0.1 Comment
MySQL 5.7.23 mysql-connector-java-5.1.40-bin.jar
MS SQL Server 2017 Microsoft JDBC Driver 7.0 for SQL Server. See https://docs.microsoft.com/en-us/sql/connect/jdbc/system-requirements-for-the-jdbc-driver for JDBC Driver supported versions
Oracle 12c OJDBC8.jar – 12.2.0.1
Oracle 12c OJDBC7.jar – 12.1.0.2
PostgreSQL 10.1 Postgresql-42.2.1.jar
MariaDB 10.2.18 mariadb-java-client-2.2.5.jar
Amazon Aurora mariadb-java-client-2.2.5.jar

Message brokers

Broker 6.0.0 6.0.1 Comment
ActiveMQ v5.15.6

Application servers

Applications server 6.0.0 6.0.1 Comment
Tomcat 8.5.34  

Clients

Client operating system 6.0.0 6.0.1 Comment
Windows 10  
Windows 7 x64  
Mac OSX 10.12  

Client browsers

Browser 6.0.0 6.0.1 Comment
Mozilla Firefox  
MS Internet Explorer 11  
Microsoft Edge  
Chrome  
Safari 11  

Java

JRE 6.0.0 6.0.1 Comment
OpenJDK 11.0.1    
Oracle JDK 1.8.0_161  

Third Party Integrations

Integration 6.0.0 6.0.1 Comment
MS Office 2016 Microsoft Office for Mac does not support Kerberos authentication
MS Office 2013  
Alfresco Content Connector for AWS Glacier 1.0  
Alfresco Content Connector for AWS S3 2.3  
Alfresco Content Connector for AWS S3 2.2  
Alfresco Content Connector for EMC Centera 2.2.1  
Alfresco Content Connector for Salesforce 2.1  
Alfresco Google Docs Integration 3.1  
Alfresco Outlook Integration 2.6 See Outlook Integration prerequisites for MS-Office supported versions
Alfresco Outlook Integration 2.5 See Outlook Integration prerequisites for MS-Office supported versions
Alfresco Content Services SDK 4  
Alfresco Application Development Framework (ADF) 2.x Some API functionality may be available only in the latest Alfresco Content Services release

Modules

Module name 6.0.0 6.0.1 Comment
Alfresco Sync Service 3.0.1 See Sync Service prerequisites for supported environments
Alfresco Desktop Sync 1.2 * See Alfresco Desktop Sync overview for supported clients
Alfresco Desktop Sync 1.1.1 * See Alfresco Desktop Sync overview for supported clients
Alfresco Governance Services 3.0 Note: To use Alfresco Governance Services with Alfresco Search and Insight Engine you must use the following product versions:
  • Alfresco Search and Insight Engine 1.1 or above
  • Alfresco Content Services 6.0.1.3 or above
Alfresco Media Management 1.2  
Document Transformation Engine 2.2.1  
Alfresco Office Services 1.2  
Alfresco Search and Insight Engine 1.1 Note: Alfresco Search and Insight Engine 1.1 is compatible with Java 11 as long as you run Zeppelin in a Java 8 runtime. You can do this either in a VM or separate Java 8 based server.
Alfresco Search and Insight Engine 1.0 Note: Alfresco Search and Insight Engine 1.0 is compatible with Java 11 as long as you run Zeppelin in a Java 8 runtime. You can do this either in a VM or separate Java 8 based server.
Alfresco Search Services 1.3.0.1    
Alfresco Search Services 1.2  
Alfresco Search Services 1.1  
SAML Single Sign-On (SSO) for Alfresco Content Services 1.1  

* Alfresco Desktop Sync will replicate content on local desktops for users with the appropriate access. If replication outside the repository is not allowed by your content policy you should not deploy Alfresco Desktop Sync. These versions of Alfresco Desktop Sync do not support Smart Folders.

Related components

Component name 6.0.0 6.0.1 Comment
ImageMagick v7.0.7
VMWare ESXi Support from ESXi 5.0 (as long as the ESXi version supports the guest OS)
LibreOffice v5.4.6

Sending feedback to the Alfresco documentation team

You don't appear to have JavaScript enabled in your browser. With JavaScript enabled, you can provide feedback to us using our simple form. Here are some instructions on how to enable JavaScript in your web browser.